---
title: "Get details of a specific Active Client Session."
slug: "get-details-of-a-specific-active-client-session-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-details-of-a-specific-active-client-session-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a specific Active Client Session.

Get/session-info/{distinguished-name}

Get the details of a specific Active Client Session from all Gateways. This API makes the Controller to query very Gateway in the system to collect the session data. The operation may take long if one or more Gateways take long to respond.

SecurityHTTPType bearer

Path parametersdistinguished-namestringRequired

Distinguished name of the user&devices which will be affected by the operation. Format: 'CN=<device ID>,CN=<username>,OU=<provider name>'

ExampleCN=4c07bc6757ea42ddb702c2d6c45419fc,CN=user,OU=ldap

Responses200

Details of an Active Client Session per Gateway. Disconnected Clients disappear after 5 minutes. When a Client fails over to another Gateway, the API may return the Client on multiple Gateways until during this period.

<select class='api-response-data' aria-label='Media type'><option value='9587c6f3-e398-445e-9758-ecd756659659'>application/json</option>
</select>Expand Allobject  deviceIdstring  (uuid)    

The device ID, same as the one in the Distinguished Name.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
usernamestring    

The username, same as the one in the Distinguished Name.

Exampleuser
providerNamestring    

The provider name of the user, same as the one in the Distinguished Name.

Exampleldap
dataobject  

The session details per Gateway. The key is the Appliance name and the value contains the Active Client Session details.

property*object  additionalProperties

Session Details reported by the Gateway.

userClaimsobject  Example{
  "username": "admin",
  "groups": [
    "CN=test,OU=unit,DC=company,DC=com",
    "CN=finance,OU=unit,DC=company,DC=com"
  ]
}
deviceClaimsobject  Example{
  "os": {
    "name": "Microsoft Windows 10 Pro",
    "platform": "x64",
    "type": "desktop"
  },
  "isUserAdmin": true,
  "language": "en-us"
}
systemClaimsobject  Example{
  "connectTime": "2018-11-16T13:25:15.672Z",
  "tunIPv4": "15.0.0.24",
  "clientSrcIP": "192.168.111.184"
}
entitlementInfosobject  

Entitlement information reported by the Gateway. The key is the Entitlement name.

property*object  additionalProperties

Entitlement details.

accessboolean    

Whether the Entitlement is accessible or not.

conditionLogicstring    

Whether all the Conditions must succeed to have access to this Entitlement or just one.

Valid values[
  "and",
  "or"
]
conditionResultsobject  

Current results of the Condition evaluations. Entitlement access is decided according to these results. The key is the Condition name.

Example{
  "MFASuccess": true,
  "InternalNetwork": false
}property*boolean    additionalProperties

firewallRules Array of object   

Current Firewall Rules assigned after evaluating all the Entitlements, Conditions and Name Resolvers.

object  

Firewall Rule.

namestring    

Name of the rule.

Exampleentitlement-1
protocolstring    

The protocol for the Firewall Rule.

Exampletcp
directionstring    

The direction of the Firewall Rrule.

Exampleup
actionstring    

The action for the Firewall Rule.

Exampleallow
subnets Array of string   

The subnets the Firewall Rule applies to.

string    Example172.31.4.105
urls Array of string   

The URLs the Firewall Rule applies to in case of http_up subtype.

string    Examplehttps://server.company.com/test
ports Array of string   

The ports the Firewall Rule applies to.

string    Example443
types Array of string   

The ICMP types the Firewall Rule applies to. Valid for ICMP.

string    Example0-255

policyNames Array of string   

Names of the Policies that has granted this Entitlement.

string    ExampleFinance
primarySitestring    

The name of the primary Site if this entitlements is currently active as part of backup Site feature.

ExampleAWS Site
domainEntitlementboolean    

Whether the Entitlement has only domain:// type actions. When that is the case, the firewallRules being empty is a normal scenario.

vpnobject  

VPN details of the session

sitestring    

The Site name for the Gateway.

ExampleAWS Site

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='88f05cac-2429-4248-b29f-9b5380f2c8b2'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='badaa1af-f239-4202-8006-184bf6cb8547'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='98be3775-6fd5-4f9b-a2c7-4cc8fad771a6'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='63cb81c5-c46a-4e5d-916e-6a3057553959'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='384135a9-c618-4f24-96f3-b54bdb7920b7'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
